package com.mcwl.system.domain;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.*;

/**
 * 工具
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_tool")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SysTool extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 工具名称
     */
    private String name;

    /**
     * 图片url
     */
    private String imageUrl;

    /**
     * 工具url
     */
    private String toolUrl;

    /**
     * 类型 0文本 1图片 2视频
     */
    private Integer type;

    /**
     * 状态 0不可用 1可用
     */
    private Integer status;

}
