package com.mcwl.communityCenter.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
 * 发布
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_publish_label")
public class PublishLabel extends BaseEntity {


    private Long id;

    /**
     * 用户id - 租户id
     */
    private Long tenantId;

    /**
     * 社区id
     */
    private Long communityId;

    /**
     * 标签名
     */
    private String labelName;

}
