package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.Publish;
import com.mcwl.communityCenter.domain.PublishReport;
import com.mcwl.communityCenter.domain.dto.*;
import com.mcwl.communityCenter.domain.vo.PublishVo;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

public interface PublishReportService extends IService<PublishReport> {

    void saveReport(PublishReport publishReport);

    TableDataInfo getReportList(@Valid PageDomain pageDomain);

    void updateStatus(@Valid EditPublishReportStatusRes editPublishReportStatusRes);

    void removeReportById(Long id);
}
