package com.mcwl.system.domain;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.*;

/**
 * 邮箱
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_email")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SysEmail extends BaseEntity {

    /**
     * 邮箱id
     */
    @TableId
    private Long id;

    /**
     * 收件人邮箱
     */
    private String recipientEmail;

}
